(GET) Historical Data
Retrieve data from a Spotter for a specified time window.
GET https://api.sofarocean.com/api/wave-data?spotterId=:spotterId
Returns waves and sensor data collected and transmitted by a Spotter, specified by spotterId, between startDate and endDate.
For Spotters shared, but not registered, to your account, your access will be limited to data collected within the past 30 days.
Query Parameters
spotterId
string
The identifier of the device you wish to retrieve data from.
limit
integer
Default: 20
Maximum: 500 *
The maximum amount of data to be included in the response.
*100 if frequencyData is included in the response
startDate
string
Default: null
ISO 8601-formatted timestamp indicating the start date for data inclusion.
e.g., 2021-01-01T07:00:00Z
endDate
string
Default: now()
ISO 8601-formatted timestamp indicating the end date for data inclusion.
e.g., 2021-01-02T07:00:00Z
includeWaves
boolean
Default: true
Set false to omit waves data.
includeWindData
boolean
Default: false
Set true to return wind data.
includeSurfaceTempData
boolean
Default: false
Set true to return surface temperature data from Spotters equipped with SST sensors.
includeFrequencyData
boolean
Default: false
Set true to return frequency data (i.e., spectral data) for samples collected in Waves: Spectrum mode or HDR mode. processingSources must also be set to hdr or all.
includeDirectionalMoments
boolean
Default: false
Set true to return directional moments data for samples collected in Waves: Spectrum mode. includeFrequencyData must also be set to true.
includePartitionData
boolean
Default: false
Set true to return partition data from Spotters in Waves: Partition mode or HDR mode.
includeBarometerData
boolean
Default: false
Set true to return barometer data from Spotters equipped with barometers.
includeTrack
boolean
Default: false
Set true to return location tracking data.
processingSources
string
Default: embedded
The data processing source, which can be embedded, hdr*, or all.
*hdr is only applicable to Spotters in HDR mode with cellular enabled.
Response Description
The response body includes general device information and a data stream of samples transmitted during the specified time window, grouped by data type and ordered by timestamp. The maximum number of data samples returned per data type is capped at the set limit.
spotterId
string
The Spotter's identifier.
limit
integer
The maximum amount of data included in the response.
waves
array
Waves data if includeWaves is set to true.
wind
array
Wind data if includeWindData is set to true.
surfaceTemp
array
Surface temperature data from Spotters equipped with SST sensors if includeSurfaceTempData is set to true.
frequencyData
array
Frequency data (i.e., spectral data) from Spotters in Waves: Spectrum (Full) mode or HDR mode if includeFrequencyData is set to true. Includes directional moments data if includeDirectionalMoments is set to true.
partitionData
array
Partition data from Spotters in Waves: Partition mode or HDR mode if includePartitionData is set to true.
barometerData
array
Barometer data from Spotters equipped with barometers if includeBarometerData is set to true.
track
array
Tracking data.
Data Samples
The returned data types depend on your set query parameters as well as your Spotter's configured data mode at the time of collection.
Regardless, all data samples will include the location (latitude, longitude) when the report was encoded and transmitted, the processing_source (embedded or hdr) and an ISO 8601-formatted timestamp, indicating the end of the sample collection period.
Examples
Example Request
Example Responses
Incorrect token:
Missing token:
Last updated
Was this helpful?